Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Improve the error message displayed on Python requirements conflict #1681

Merged
merged 1 commit into from Dec 6, 2019

Conversation

@sdispater
Copy link
Member

sdispater commented Dec 6, 2019

Pull Request Check List

  • Added tests for changed code.
  • Updated documentation for changed code.

As mentioned in #580, the previous message on conflicting Python requirements when resolving dependencies was not clear. This improves it by displaying a clearer error message and listing the affected packages.

@sdispater sdispater merged commit c78503e into master Dec 6, 2019
32 checks passed
32 checks passed
Linting
Details
Linting
Details
Linux (2.7)
Details
Linux (2.7)
Details
Linux (3.5)
Details
Linux (3.5)
Details
Linux (3.6)
Details
Linux (3.6)
Details
Linux (3.7)
Details
Linux (3.7)
Details
Linux (3.8)
Details
Linux (3.8)
Details
MacOS (2.7)
Details
MacOS (2.7)
Details
MacOS (3.5)
Details
MacOS (3.5)
Details
MacOS (3.6)
Details
MacOS (3.6)
Details
MacOS (3.7)
Details
MacOS (3.7)
Details
MacOS (3.8)
Details
MacOS (3.8)
Details
Windows (2.7)
Details
Windows (2.7)
Details
Windows (3.5)
Details
Windows (3.5)
Details
Windows (3.6)
Details
Windows (3.6)
Details
Windows (3.7)
Details
Windows (3.7)
Details
Windows (3.8)
Details
Windows (3.8)
Details
@sdispater sdispater deleted the improve-python-conflict-message branch Dec 6, 2019
shenek added a commit to shenek/poetry that referenced this pull request Dec 31, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
1 participant
You can’t perform that action at this time.